Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.wrap
Class WrappedContent

    java.lang.Object
      com.servingxml.components.content.AbstractContent
          com.servingxml.components.wrap.WrappedContent

All Implemented Interfaces:
  Content, Stringable, Task, ContentTask

    public final class WrappedContent

extends AbstractContent
implements ContentTask

A filter component filters the stream of sax events.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.transform.ContentTask
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`WrappedContent(Content content, SaxSinkFactory saxSinkFactory, OutputPropertyFactory[] defaultOutputPropertyFactories)`

Method Summary
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`
`void` | `execute(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.content.AbstractContent
`createDefaultOutputProperties, createString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Constructor Detail

### WrappedContent

    public WrappedContent(Content content,
                          SaxSinkFactory saxSinkFactory,
                          OutputPropertyFactory[] defaultOutputPropertyFactories)

Method Detail

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### createXmlPipeline

    public XmlPipeline createXmlPipeline(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createXmlPipeline` in interface `Content`

### execute

    public void execute(ServiceContext context,
                        Flow flow)

  Specified by:
    `execute` in interface `Task`
  Overrides:
    `execute` in class `AbstractContent`

### createSaxSource

    public SaxSource createSaxSource(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSaxSource` in interface `Content`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD